/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.custom.entity.meterRead.QyAndQd;
import com.tofly.watermeter.entity.Cbqybm;
import org.apache.ibatis.annotations.Param;


import java.util.List;
import java.util.Map;

/**
 * 抄表区域编码
 *
 * @author wangjieliu
 * @date Sat May 29 00:00:00 CST 2021
 */
public interface CbqybmMapper extends BaseMapper<Cbqybm> {
    String getYxbzName(@Param("yxbz") String yxbz);
    List<QyAndQd> getQyAndQd();
    Map getQdList(@Param("qybm") Long qybm);

    List<QyAndQd> getQyAndQdAllocation();

    List<QyAndQd> getQyAndQdPlan();
}
